button,
input,
optgroup,
select,
textarea {
    font-family: inherit;
    font-size: 100%;
    line-height: 1.15;
    margin: 0;
}

button,
input {
    overflow: visible;
}

button,
select {
    text-transform: none;
}

button,
[type="button"],
[type="reset"],
[type="submit"] {
    -webkit-appearance: button;
}

button::-moz-focus-inner,
[type="button"]::-moz-focus-inner,
[type="reset"]::-moz-focus-inner,
[type="submit"]::-moz-focus-inner {
    border-style: none;
    padding: 0;
}

button:-moz-focusring,
[type="button"]:-moz-focusring,
[type="reset"]:-moz-focusring,
[type="submit"]:-moz-focusring {
    outline: 1px dotted ButtonText;
}

fieldset {
    padding: 0.35em 0.75em 0.625em;
}

legend {
    box-sizing: border-box;
    color: inherit;
    display: table;
    max-width: 100%;
    padding: 0;
    white-space: normal;
}

progress {
    vertical-align: baseline;
}

textarea {
    overflow: auto;
}

[type="checkbox"],
[type="radio"] {
    box-sizing: border-box;
    padding: 0;
}

[type="number"]::-webkit-inner-spin-button,
[type="number"]::-webkit-outer-spin-button {
    height: auto;
}

[type="search"] {
    -webkit-appearance: textfield;
    outline-offset: -2px;
}

[type="search"]::-webkit-search-decoration {
    -webkit-appearance: none;
}

::-webkit-file-upload-button {
    -webkit-appearance: button;
    font: inherit;
}

details {
    display: block;
}

summary {
    display: list-item;
}

template {
    display: none;
}

[hidden] {
    display: none;
}





:root {
    --form-ui-color: #c0af86;
    --form-ui-bg: #ffffff;
    --form-size: 2rem;
    --form-border-radius: 0.25rem;
    --form-border: solid 1px rgba(0, 0, 0, 0.2);
    --form-box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.1);
}

input[type="text"],
input[type="email"],
input[type="tel"],
input[type="password"],
input[type="date"],
input[type="datetime"],
input[type="datetime-local"],
input[type="time"],
input[type="month"],
input[type="week"],
input[type="url"],
input[type="number"],
input[type="search"],
input[type="file"],
select {
    padding: 0 0.75rem;
    color: inherit;
    height: var(--form-size);
    font-size: smaller;
    line-height: 1;
    font-family: inherit;
    border-radius: var(--form-border-radius);
    -webkit-border-radius: var(--form-border-radius);
    -moz-border-radius: var(--form-border-radius);
    background-color: var(--form-ui-bg);
    box-shadow: var(--form-box-shadow);
    border: var(--form-border);
    margin: 0 0 0.75rem 0;
}

input[type="text"],
input[type="email"],
input[type="tel"],
input[type="password"],
input[type="search"],
textarea,
select {
    min-width: 230px;
    max-width: 100%;
}

select {
    -moz-appearance: none;
    -webkit-appearance: none;
    appearance: none;
}

select::-ms-expand {
    display: none;
}

.select {
    position: relative;
    display: inline-block;
}

.select:after {
    content: url('data:image/svg+xml, <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:serif="http://www.serif.com/" width="100%" height="100%" viewBox="0 0 452 258" version="1.1" xml:space="preserve"> <g transform="matrix(1,0,0,1,-0.00075,-97.1405)"> <path d="M225.923,354.706C217.825,354.706 209.728,351.614 203.554,345.443L9.27,151.157C-3.089,138.798 -3.089,118.76 9.27,106.406C21.624,94.052 41.658,94.052 54.018,106.406L225.923,278.321L397.829,106.412C410.188,94.058 430.22,94.058 442.573,106.412C454.938,118.766 454.938,138.804 442.573,151.163L248.292,345.449C242.115,351.621 234.018,354.706 225.923,354.706Z"></path></g></svg>');
    height: 12px;
    width: 12px;
    background: transparent;
    position: absolute;
    top: 50%;
    right: 0.75rem;
    margin-top: -0.75rem;
    pointer-events: none;
}



textarea {
    background: rgba(255, 255, 255, 0.8);
    padding: 0.75rem;
    display: block;
    color: inherit;
    font-size: inherit;
    height: auto;
    margin: 0;
    font-family: inherit;
    height: 8rem;
    border-radius: var(--form-border-radius);
    -webkit-border-radius: var(--form-border-radius);
    -moz-border-radius: var(--form-border-radius);
    background-color: var(--form-ui-bg);
    box-shadow: var(--form-box-shadow);
    border: var(--form-border);
    margin-bottom: 0.75rem;
    width: 100%;
}

input[type="submit"],
input[type="button"],
button,
.button,
.woocommerce a.button,
.woocommerce .product .single_add_to_cart_button,
.woocommerce-cart .wc-proceed-to-checkout a.checkout-button,
#place_order {
    -webkit-appearance: none;
    background: var(--form-ui-color);
    color: #fff;
    border: none;
    font-size: calc(var(--form-size) * 0.5);
    line-height: 1;
    text-transform: uppercase;
    text-align: center;
    vertical-align: middle;
    font-weight: bold;
    cursor: pointer;
    display: inline-block;
    position: relative;
    font-family: inherit;
    text-decoration: none;
    padding: 0.5rem calc(var(--form-size) * 0.5);
    border-radius: 2rem;
    position: relative;
    overflow: hidden;
    -webkit-transition: all 0.2s ease-in-out;
    -moz-transition: all 0.2s ease-in-out;
    -o-transition: all 0.2s ease-in-out;
    transition: all 0.2s ease-in-out;

}


button:hover,
.button:hover,
.woocommerce a.button:hover {
    background: #333;
    color: #fff;
}

.add_to_cart_button:before {
    content: url('data:image/svg+xml, <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:serif="http://www.serif.com/" width="100%" height="100%" viewBox="0 0 512 512" version="1.1" xml:space="preserve"> <path d="M368,400C394.492,400 416,421.508 416,448C416,474.492 394.492,496 368,496C341.508,496 320,474.492 320,448C320,421.508 341.508,400 368,400ZM192,400C218.492,400 240,421.508 240,448C240,474.492 218.492,496 192,496C165.508,496 144,474.492 144,448C144,421.508 165.508,400 192,400ZM485.632,98.192C476.552,86.681 462.661,79.966 448,80L123.728,80L111.584,28.336C109.889,21.13 103.403,15.996 96,16L32,16C23.223,16 16,23.223 16,32C16,40.777 23.223,48 32,48L83.328,48L139.888,288.416C115.179,290.438 95.921,311.337 95.921,336.128C95.921,362.39 117.531,384 143.793,384C143.862,384 143.931,384 144,384L416,384C424.777,384 432,376.777 432,368C432,359.223 424.777,352 416,352L144,352C135.223,352 128,344.777 128,336C128,327.223 135.223,320 144,320L414.112,320C436.328,320.057 455.802,304.631 460.832,282.992L494.736,138.992C498.126,124.725 494.765,109.664 485.632,98.192Z" style="fill:white;fill-rule:nonzero;"/></svg>');
    width: 1.15rem;
    height: 1.15rem;
    display: inline-block;
    vertical-align: bottom;
    margin-right: 0.5rem;
    line-height: 1;
}


::-webkit-input-placeholder {
    color: #888;
    font-style: italic;
}

:-moz-placeholder {
    color: #888;
    font-style: italic;
}

::-moz-placeholder {
    color: #888;
    font-style: italic;
}

:-ms-input-placeholder {
    color: #888;
    font-style: italic;
}

input:focus,
select:focus,
textarea:focus {
    outline: none !important;
    border-color: var(--form-ui-color);
}


input[type="number"] {
    -webkit-appearance: textfield;
    -moz-appearance: textfield;
    appearance: textfield;
}

input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
    -webkit-appearance: none;
}

.qty {
    display: inline-block;
    line-height: 1;
    margin: 0;
    height: var(--form-size);
    font-family: inherit;
    border-radius: var(--form-border-radius);
    -webkit-border-radius: var(--form-border-radius);
    -moz-border-radius: var(--form-border-radius);
    background-color: var(--form-ui-bg);
    box-shadow: var(--form-box-shadow);
    border: var(--form-border);
}

.qty input[type=number] {
    width: var(--form-size);
    height: 100%;
    padding: 0;
    font-size: smaller;
    text-align: center;
    border-radius: 0;
    box-shadow: none;
    border-bottom: none;
    border-top: none;
    border-left: solid 1px rgba(0, 0, 0, 0.1);
    border-right: solid 1px rgba(0, 0, 0, 0.1);
    background: transparent;
}

input[type="file"] {
    padding: 0;
    vertical-align: middle;
    position: relative;
}

input[type="file"]::-webkit-file-upload-button {
    visibility: hidden;
}

input[type="file"]::before {
    content: 'Fájlok csatolása';
    display: inline-block;
    background: var(--form-ui-color);
    border-radius: var(--form-size);
    padding: 0 calc(var(--form-size) * 0.5);
    line-height: calc(var(--form-size) - 4px);
    height: calc(var(--form-size) - 4px);
    outline: none;
    white-space: nowrap;
    color: #fff;
    -webkit-user-select: none;
    cursor: pointer;
}

input[type="file"]:hover::before {
    background: var(--form-ui-color);
}

input[type="checkbox"],
input[type="radio"] {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    background-color: transparent;
    border: 2px solid;
    border-radius: 4px;
    box-sizing: border-box;
    font-size: 1em;
    height: 24px;
    overflow: hidden;
    position: static;
    vertical-align: middle;
    width: 24px;
    cursor: pointer;
    margin: 0 8px 0 0;
    display: inline-block;
}

input[type="radio"] {
    border-radius: 50%;
}

input[type="radio"]:checked:before {
    content: '';
    background: #000;
    border-radius: 50%;
    cursor: pointer;
    display: block;
    height: 12px;
    margin: 4px;
    width: 12px;
}

input[type="checkbox"]:checked:before {
    max-height: 24px;
    max-width: 24px;
    display: block;
    content: url('data:image/svg+xml, <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:serif="http://www.serif.com/" width="100%" height="100%" viewBox="0 0 100 100" version="1.1" xml:space="preserve" style="fill-rule:evenodd;clip-rule:evenodd;stroke-linejoin:round;stroke-miterlimit:2;"> <g transform="matrix(0.168714,0,0,0.168714,15.8126,15.8125)"> <path d="M393.401,124.425L179.603,338.208C163.771,354.043 138.089,354.043 122.242,338.208L11.878,227.836C-3.96,212.001 -3.96,186.316 11.878,170.478C27.719,154.637 53.399,154.637 69.233,170.472L150.931,252.171L336.037,67.064C351.878,51.223 377.56,51.235 393.395,67.064C409.23,82.902 409.23,108.578 393.401,124.425Z" style="fill:black;fill-rule:nonzero;"/> </g></svg>');
    background: var(--form-ui-color);
}



.range {
    position: relative;
    display: flex;
    align-items: center;
}

.range-value {
    padding: 0;
    background: var(--form-ui-color);
    border-radius: 2px;
    margin-left: calc(var(--form-size) * 0.5);
    font-size: smaller;
    color: #fff;
    width: 2.25rem;
    text-align: center;
    height: var(--form-size);
    line-height: var(--form-size);
}

input[type="range"] {
    -webkit-appearance: none;
    min-width: 250px;
    max-width: 100%;
    height: 12px;
    border-radius: 0.25rem;
    background: var(--form-ui-bg);
    box-shadow: var(--form-box-shadow);
    border: var(--form-border);
    outline: none;
    padding: 0;
    margin: calc(var(--form-size) * 0.5) 0;
}

input[type="range"]::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 24px;
    height: 24px;
    border-radius: 50%;
    background: var(--form-ui-color);
    border: none;
    cursor: pointer;
    -webkit-transition: background .15s ease-in-out;
    transition: background .15s ease-in-out;
}


input[type="range"]::-moz-range-thumb {
    width: 24px;
    height: 24px;
    border: 0;
    border-radius: 50%;
    border: none;
    background: var(--form-ui-color);
    cursor: pointer;
    -webkit-transition: background .15s ease-in-out;
    transition: background .15s ease-in-out;
}

input[type="range"]::-webkit-slider-thumb:hover,
input[type="range"]:active::-webkit-slider-thumb {
    background: var(--form-ui-color);

}

input[type="range"]::-moz-range-thumb:hover,
input[type="range"]:active::-moz-range-thumb {
    background: var(--form-ui-color);

}

/*  Contact Form 7 */

.wpcf7-list-item {
    margin: 0 1em 0 0 !important;
}

.wpcf7-not-valid-tip {
    font-size: smaller;
    margin-bottom: 0.25rem;
    margin-top: -0.25rem;
}